declare @uid as varchar


declare @id_documentoOT as integer

declare @id_documentoRQ as integer

declare @id_subtipodocumentoOT as integer

declare @id_subtipodocumentoRQSER as integer

declare @id_subtipodocumentoRQSTK as integer

set @uid=(select uid from seg_usuario where id=1 )

set  @id_documentoOT =2

set @id_documentoRQ=3
set @id_subtipodocumentoOT = 2

set @id_subtipodocumentoRQSER =3

set @id_subtipodocumentoRQSTK =13

declare @id_estadoOTOrigen as integer

declare @id_estadoRQOrigen as integer

set @id_estadoOTOrigen =(select  id from doc_estadoTipodocumento where id_tipoDocumento= @id_documentoOT  and estadoTipoDocumento_codigo='NUE')

set @id_estadoRQOrigen =(select  id from doc_estadoTipodocumento where id_tipoDocumento= @id_documentoRQ  and estadoTipoDocumento_codigo='NUE')

if not exists (SELECT *FROM [doc_flujoDocumento] 
WHERE ( [id_subtipoDocumento_origen]=@id_subtipodocumentoOT and  [id_subtipoDocumento_destino]=@id_subtipodocumentoRQSER)
and [id_estadoTipoDocumento_origen]=@id_estadoOTOrigen and [id_estadoTipoDocumento_resultado]=@id_estadoRQOrigen
and [replicarItems] =1 and [replicarItemsActividades]=0
) 

begin
INSERT INTO [doc_flujoDocumento]
           ([uid]
           ,[eid]
           ,[fechaModificacion]
           ,[fechaCreacion]
           ,[active]
           ,[flujoDocumento]
           ,[flujoDocumento_codigo]
           ,[restrictivo]
           ,[id_subtipoDocumento_origen]
           ,[id_subtipoDocumento_destino]
           ,[id_estadoTipoDocumento_origen]
           ,[id_estadoTipoDocumento_resultado]
           ,[replicarItems]
           ,[replicarAtributos]
           ,[replicarItemsActividades])
     VALUES
           (@uid
           ,'01'
           ,getdate()
           ,getdate()
           ,1
           ,'Crear Requisicion Servicio en OT nueva'
           ,'GenREQ'
           ,0
           ,@id_subtipodocumentoOT
           ,@id_subtipodocumentoRQSER
           ,@id_estadoOTOrigen
           ,@id_estadoRQOrigen
           ,1
           ,0
           ,0)


end

if not exists (SELECT * FROM [doc_flujoDocumento] WHERE ( [id_subtipoDocumento_origen]=@id_subtipodocumentoOT and  [id_subtipoDocumento_destino]=@id_subtipodocumentoRQSTK)
and [id_estadoTipoDocumento_origen]=@id_estadoOTOrigen and [id_estadoTipoDocumento_resultado]=@id_estadoRQOrigen
and [replicarItems] =1 and [replicarItemsActividades]=0
) 

begin
INSERT INTO [doc_flujoDocumento]
           ([uid]
           ,[eid]
           ,[fechaModificacion]
           ,[fechaCreacion]
           ,[active]
           ,[flujoDocumento]
           ,[flujoDocumento_codigo]
           ,[restrictivo]
           ,[id_subtipoDocumento_origen]
           ,[id_subtipoDocumento_destino]
           ,[id_estadoTipoDocumento_origen]
           ,[id_estadoTipoDocumento_resultado]
           ,[replicarItems]
           ,[replicarAtributos]
           ,[replicarItemsActividades])
     VALUES
           (@uid
           ,'01'
           ,getdate()
           ,getdate()
           ,1
           ,'Crear Requisicion Stock en OT nueva'
           ,'GenREQ'
           ,0
           ,@id_subtipodocumentoOT
           ,@id_subtipodocumentoRQSTK
           ,@id_estadoOTOrigen
           ,@id_estadoRQOrigen
           ,1
           ,0
           ,0)

end
